> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/ar/registry-v3-system.md).

# Registry V3 System

V3 system-level endpoints for registry configuration and discovery

## Get System Info

> Returns system-level information for the Harness Artifact Registry,\
> including the base registry URL for the account.\
> Use this endpoint to discover the correct registry hostname\
> for pulling and pushing artifacts.<br>

```json
{"openapi":"3.0.0","info":{"title":"Harness Artifact Registry API","version":"1.0.0"},"tags":[{"description":"V3 system-level endpoints for registry configuration and discovery","name":"Registry V3 - System"}],"servers":[{"url":"/api"}],"paths":{"/v3/system/info":{"get":{"description":"Returns system-level information for the Harness Artifact Registry,\nincluding the base registry URL for the account.\nUse this endpoint to discover the correct registry hostname\nfor pulling and pushing artifacts.\n","operationId":"GetSystemInfoV3","parameters":[{"$ref":"#/components/parameters/AccountIdentifierV3"}],"responses":{"200":{"$ref":"#/components/responses/SystemInfoResponseV3"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorV3"}}},"description":"Error response."}},"summary":"Get System Info","tags":["Registry V3 - System"]}}},"components":{"parameters":{"AccountIdentifierV3":{"description":"Unique identifier for the Harness account.\n","in":"query","name":"account_identifier","required":true,"schema":{"type":"string"}}},"responses":{"SystemInfoResponseV3":{"content":{"application/json":{"schema":{"properties":{"data":{"$ref":"#/components/schemas/SystemInfoV3"}},"required":["data"],"type":"object"}}},"description":"Response containing system-level information for the Harness Artifact Registry"}},"schemas":{"SystemInfoV3":{"description":"System-level information for the Harness Artifact Registry","properties":{"registryHost":{"description":"The hostname of the registry without protocol or port","type":"string"},"registryUrl":{"description":"The full registry URL including protocol","type":"string"}},"required":["registryHost","registryUrl"],"type":"object"},"ErrorV3":{"description":"An error response","properties":{"error":{"$ref":"#/components/schemas/ApiErrorsV3"}},"required":["error"],"type":"object"},"ApiErrorsV3":{"properties":{"code":{"description":"For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.","maxLength":5000,"type":"string"},"message":{"description":"A human-readable message providing more details about the error. These messages can be shown to users.","maxLength":40000,"type":"string"},"param":{"description":"If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.","maxLength":5000,"type":"string"},"type":{"description":"The type of error returned.","enum":["INVALID_REQUEST_ERROR","AUTHENTICATION_ERROR","PERMISSION_ERROR","API_ERROR"],"type":"string"}},"required":["type"],"title":"APIErrors","type":"object"}}}}
```
